Bug 1660409 - Review Request: Cadence - A set of tools useful for audio production
Summary: Review Request: Cadence - A set of tools useful for audio production
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Antonio T. (sagitter)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-12-18 09:50 UTC by MartinKG
Modified: 2018-12-28 05:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-12-27 01:50:54 UTC
Type: ---
anto.trande: fedora-review+


Attachments (Terms of Use)

Description MartinKG 2018-12-18 09:50:20 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Cadence.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Cadence-1.0.0-0.1.20180827git4a5f5b4.fc29.src.rpm

Description: A set of tools useful for audio production
Fedora Account System Username: martinkg

%changelog
* Thu Dec 13 2018 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-0.1.20180827git4a5f5b4
- Initial build

Comment 1 Antonio T. (sagitter) 2018-12-18 10:20:55 UTC
- Use https://github.com/falkTX/%{name}/archive/%{commit}/%{name}-%{shortcommit0}.tar.gz
(https://docs.fedoraproject.org/en-US/packaging-guidelines/SourceURL/#_git_hosting_services)

-

%setup -qn %{name}-%{commit0}
%patch0 -p1
%patch1 -p1
%patch2 -p1

becomes

%autosetup -p 1 -n %{name}-%{commit0}

- 
export CXXFLAGS="%{optflags}"
export CFLAGS="%{optflags}"

can be replaced by %{set_build_flags}

- %make_install DESTDIR=%{buildroot} PREFIX=%{_prefix} --> %make_install PREFIX=%{_prefix}

- 

%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/cadence/*
%{_datadir}/icons/*


List all files, please.

Comment 2 MartinKG 2018-12-18 13:18:07 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Cadence.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Cadence-1.0.0-0.2.20180827git4a5f5b4.fc29.src.rpm

%changelog
* Thu Dec 13 2018 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-0.2.20180827git4a5f5b4
- Use correct link for sources
- Use %%autosetup macro
- Use %%{set_build_flags}
- Use %%make_install PREFIX=%%{_prefix}
- List all files

Comment 3 Antonio T. (sagitter) 2018-12-18 17:59:56 UTC
Package Review
==============

== Issues ==

- Following files are licensed under LGPLv2+

*No copyright* GNU Lesser General Public License (v2 or later)
--------------------------------------------------------------
Cadence-4a5f5b445bfb3cd23a797c172dfbcb42e0cf114f/data/pulse2jack/play+rec.pa
Cadence-4a5f5b445bfb3cd23a797c172dfbcb42e0cf114f/data/pulse2jack/play.pa
Cadence-4a5f5b445bfb3cd23a797c172dfbcb42e0cf114f/data/pulse2loopback/play+rec.pa
Cadence-4a5f5b445bfb3cd23a797c172dfbcb42e0cf114f/data/pulse2loopback/play.pa

- /usr/share/cadence (and related sub-directories) is now owned.

- This package requires 'hicolor-icon-theme'

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Header files in -devel subpackage, if present.
[x]: Package does not contain any libtool archives (.la)
[x]: Rpath absent or only used for internal libs.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[!]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "*No copyright* GNU Lesser General Public License (v2 or
     later)", "GPL (v2 or later)", "ISC License", "Unknown or generated".
     344 files have unknown license. Detailed output of licensecheck in
     /home/sagitter/FedoraReview/1660409-Cadence/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[!]: Package requires other packages for directories it uses.
     Note: No known owner of /usr/share/cadence/pulse2loopback,
     /usr/share/cadence/icons/claudia-hicolor,
     /usr/share/cadence/templates, /usr/share/cadence/icons,
     /usr/share/cadence/icons/claudia-hicolor/48x48,
     /usr/share/cadence/icons/claudia-hicolor/16x16/apps,
     /usr/share/cadence, /usr/share/cadence/src, /etc/X11/Xsession.d,
     /usr/share/cadence/pulse2jack, /usr/share/cadence/icons/claudia-
     hicolor/16x16, /usr/share/cadence/icons/claudia-hicolor/48x48/apps
[!]: Package must own all directories that it creates.
     Note: Directories without known owners:
     /usr/share/cadence/pulse2loopback,
     /usr/share/icons/hicolor/16x16/apps,
     /usr/share/icons/hicolor/128x128/apps, /usr/share/cadence/icons
     /claudia-hicolor, /usr/share/cadence/templates,
     /usr/share/icons/hicolor/256x256/apps, /usr/share/cadence/icons,
     /usr/share/icons/hicolor/16x16, /usr/share/cadence/icons/claudia-
     hicolor/48x48, /usr/share/icons/hicolor/48x48/apps,
     /usr/share/icons/hicolor/scalable/apps, /usr/share/icons/hicolor,
     /usr/share/cadence/icons/claudia-hicolor/16x16/apps,
     /usr/share/cadence, /usr/share/icons/hicolor/128x128,
     /usr/share/cadence/src, /etc/X11/Xsession.d,
     /usr/share/cadence/pulse2jack, /usr/share/cadence/icons/claudia-
     hicolor/16x16, /usr/share/icons/hicolor/48x48,
     /usr/share/cadence/icons/claudia-hicolor/48x48/apps,
     /usr/share/icons/hicolor/256x256, /usr/share/icons/hicolor/scalable
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[!]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Useful -debuginfo package or justification otherwise.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package contains desktop file if it is a GUI application.
[x]: Package installs a %{name}.desktop using desktop-file-install or
     desktop-file-validate if there is such a file.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package must not depend on deprecated() packages.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in Cadence-
     debuginfo , Cadence-debugsource
[ ]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package
     is arched.
     Note: Arch-ed rpms have a total of 4720640 bytes in /usr/share
[x]: Rpmlint is run on debuginfo package(s).
     Note: No rpmlint messages.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: Cadence-1.0.0-0.2.20180827git4a5f5b4.fc30.x86_64.rpm
          Cadence-debuginfo-1.0.0-0.2.20180827git4a5f5b4.fc30.x86_64.rpm
          Cadence-debugsource-1.0.0-0.2.20180827git4a5f5b4.fc30.x86_64.rpm
          Cadence-1.0.0-0.2.20180827git4a5f5b4.fc30.src.rpm
Cadence.x86_64: W: spelling-error %description -l en_US jackdbus -> jackdaws
Cadence.x86_64: W: spelling-error %description -l en_US Catarina -> Catalina, Carina, Ocarina
Cadence.x86_64: W: spelling-error %description -l en_US patchcanvas -> patch canvas, patch-canvas, patchiness
Cadence.x86_64: W: spelling-error %description -l en_US patchbay -> patch bay, patch-bay, patchy
Cadence.x86_64: W: spelling-error %description -l en_US Catia -> Cation
Cadence.x86_64: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
Cadence.x86_64: W: spelling-error %description -l en_US hardcoded -> hard coded, hard-coded, hardcore
Cadence.x86_64: W: spelling-error %description -l en_US distros -> bistros, distress
Cadence.x86_64: E: incorrect-fsf-address /usr/share/cadence/pulse2jack/play+rec.pa
Cadence.x86_64: E: incorrect-fsf-address /usr/share/cadence/pulse2jack/play.pa
Cadence.x86_64: E: incorrect-fsf-address /usr/share/cadence/pulse2loopback/play+rec.pa
Cadence.x86_64: E: incorrect-fsf-address /usr/share/cadence/pulse2loopback/play.pa
Cadence.x86_64: W: no-manual-page-for-binary cadence
Cadence.x86_64: W: no-manual-page-for-binary cadence-aloop-daemon
Cadence.x86_64: W: no-manual-page-for-binary cadence-jackmeter
Cadence.x86_64: W: no-manual-page-for-binary cadence-jacksettings
Cadence.x86_64: W: no-manual-page-for-binary cadence-logs
Cadence.x86_64: W: no-manual-page-for-binary cadence-pulse2jack
Cadence.x86_64: W: no-manual-page-for-binary cadence-pulse2loopback
Cadence.x86_64: W: no-manual-page-for-binary cadence-render
Cadence.x86_64: W: no-manual-page-for-binary cadence-session-start
Cadence.x86_64: W: no-manual-page-for-binary cadence-xycontroller
Cadence.x86_64: W: no-manual-page-for-binary catarina
Cadence.x86_64: W: no-manual-page-for-binary catia
Cadence.x86_64: W: no-manual-page-for-binary claudia
Cadence.x86_64: W: no-manual-page-for-binary claudia-launcher
Cadence.src: W: spelling-error %description -l en_US jackdbus -> jackdaws
Cadence.src: W: spelling-error %description -l en_US Catarina -> Catalina, Carina, Ocarina
Cadence.src: W: spelling-error %description -l en_US patchcanvas -> patch canvas, patch-canvas, patchiness
Cadence.src: W: spelling-error %description -l en_US patchbay -> patch bay, patch-bay, patchy
Cadence.src: W: spelling-error %description -l en_US Catia -> Cation
Cadence.src: W: spelling-error %description -l en_US frontend -> fronted, front end, front-end
Cadence.src: W: spelling-error %description -l en_US hardcoded -> hard coded, hard-coded, hardcore
Cadence.src: W: spelling-error %description -l en_US distros -> bistros, distress
4 packages and 0 specfiles checked; 4 errors, 30 warnings.




Rpmlint (debuginfo)
-------------------
Checking: Cadence-debuginfo-1.0.0-0.2.20180827git4a5f5b4.fc30.x86_64.rpm
1 packages and 0 specfiles checked; 0 errors, 0 warnings.





Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
Cadence-debugsource (rpmlib, GLIBC filtered):

Cadence-debuginfo (rpmlib, GLIBC filtered):

Cadence (rpmlib, GLIBC filtered):
    /usr/bin/bash
    /usr/bin/pulseaudio
    /usr/bin/python3
    a2jmidid
    config(Cadence)
    jack_capture
    ladish
    libQt5Core.so.5()(64bit)
    libQt5Core.so.5(Qt_5)(64bit)
    libQt5Core.so.5(Qt_5.11)(64bit)
    libQt5Gui.so.5()(64bit)
    libQt5Gui.so.5(Qt_5)(64bit)
    libQt5Widgets.so.5()(64bit)
    libQt5Widgets.so.5(Qt_5)(64bit)
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcc_s.so.1()(64bit)
    libgcc_s.so.1(GCC_3.0)(64bit)
    libstdc++.so.6()(64bit)
    libstdc++.so.6(CXXABI_1.3)(64bit)
    python3-qt5
    rtld(GNU_HASH)



Provides
--------
Cadence-debugsource:
    Cadence-debugsource
    Cadence-debugsource(x86-64)

Cadence-debuginfo:
    Cadence-debuginfo
    Cadence-debuginfo(x86-64)
    debuginfo(build-id)

Cadence:
    Cadence
    Cadence(x86-64)
    application()
    application(cadence.desktop)
    application(catarina.desktop)
    application(catia.desktop)
    application(claudia-launcher.desktop)
    application(claudia.desktop)
    config(Cadence)



Source checksums
----------------
https://github.com/falkTX/Cadence/archive/4a5f5b445bfb3cd23a797c172dfbcb42e0cf114f/Cadence-4a5f5b4.tar.gz :
  CHECKSUM(SHA256) this package     : 4a21b81dea1c18cf47d1a63deb408d2d9af8f948d92d30363e684690c2d72ad4
  CHECKSUM(SHA256) upstream package : 4a21b81dea1c18cf47d1a63deb408d2d9af8f948d92d30363e684690c2d72ad4


Generated by fedora-review 0.6.1 (0d22628) last change: 2018-09-16
Command line :./try-fedora-review -m fedora-rawhide-x86_64 -b 1660409
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api, C/C++
Disabled plugins: Java, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, BATCH, DISTTAG, EPEL5, EPEL7, EPEL6

Comment 4 Antonio T. (sagitter) 2018-12-18 18:15:33 UTC
> - /usr/share/cadence (and related sub-directories) is now owned.

... **not** owned.

Comment 5 MartinKG 2018-12-18 18:38:47 UTC
Spec URL: https://martinkg.fedorapeople.org/Review/SPECS/Cadence.spec
SRPM URL: https://martinkg.fedorapeople.org/Review/SRPMS/Cadence-1.0.0-0.3.20180827git4a5f5b4.fc29.src.rpm

%changelog
* Thu Dec 13 2018 Martin Gansser <martinkg@fedoraproject.org> - 1.0.0-0.3.20180827git4a5f5b4
- Add RR hicolor-icon-theme
- Add comment which files are licensed under LGPLv2+
- Take ownership of dirs

Comment 6 Antonio T. (sagitter) 2018-12-18 19:01:10 UTC
You don't need to list all those "%dir ..." lines, just use

%{_datadir}/%{pname}/

Package approved.

Comment 7 MartinKG 2018-12-18 19:48:11 UTC
Antonio, thanks for the review.

Comment 8 Gwyn Ciesla 2018-12-18 20:05:41 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/Cadence

Comment 9 Fedora Update System 2018-12-21 22:11:24 UTC
Cadence-1.0.0-0.3.20180827git4a5f5b4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-27333d2aaf

Comment 10 Fedora Update System 2018-12-21 22:11:59 UTC
Cadence-1.0.0-0.3.20180827git4a5f5b4.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2018-29954ad05a

Comment 11 Fedora Update System 2018-12-27 01:50:54 UTC
Cadence-1.0.0-0.3.20180827git4a5f5b4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2018-12-28 05:12:35 UTC
Cadence-1.0.0-0.3.20180827git4a5f5b4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.